Bug 213332 - 'CURLOPT_FTPASCII' undeclared with latest curl
'CURLOPT_FTPASCII' undeclared with latest curl
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-31 16:13 EST by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 5.1.6-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-03 07:24:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-10-31 16:13:50 EST
Description of problem:
/bin/sh /usr/src/rpm/BUILD/php-5.1.6/build-cgi/libtool --silent --preserve-dup-
deps --mode=compile gcc  -Iext/curl/ -I/usr/src/rpm/BUILD/php-5.1.6/ext/curl/ -
DPHP_ATOM_INC -I/usr/src/rpm/BUILD/php-5.1.6/build-cgi/include -I/usr/src/rpm/
BUILD/php-5.1.6/build-cgi/main -I/usr/src/rpm/BUILD/php-5.1.6 -I/usr/include/
libxml2 -I/usr/kerberos/include -I/usr/src/rpm/BUILD/php-5.1.6/build-cgi/ext/
date/lib -I/usr/src/rpm/BUILD/php-5.1.6/ext/date/lib -I/usr/include/freetype2 -
I/usr/include/imap -I/usr/src/rpm/BUILD/php-5.1.6/ext/mbstring/oniguruma -I/usr/
src/rpm/BUILD/php-5.1.6/build-cgi/ext/mbstring/oniguruma -I/usr/src/rpm/BUILD/
php-5.1.6/ext/mbstring/libmbfl -I/usr/src/rpm/BUILD/php-5.1.6/build-cgi/ext/
mbstring/libmbfl -I/usr/src/rpm/BUILD/php-5.1.6/ext/mbstring/libmbfl/mbfl -I/
usr/src/rpm/BUILD/php-5.1.6/build-cgi/ext/mbstring/libmbfl/mbfl -I/usr/include/
mysql -I/usr/include/ncurses -I/usr/include/pspell -I/usr/src/rpm/BUILD/php-5.1.
6/build-cgi/TSRM -I/usr/src/rpm/BUILD/php-5.1.6/build-cgi/Zend -I/usr/src/rpm/
BUILD/php-5.1.6/main -I/usr/src/rpm/BUILD/php-5.1.6/Zend -I/usr/src/rpm/BUILD/
php-5.1.6/TSRM -I/usr/src/rpm/BUILD/php-5.1.6/build-cgi/  -DLDAP_DEPRECATED=1  -
I/usr/include -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-
protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -
fasynchronous-unwind-tables -fno-strict-aliasing -Wno-pointer-sign  -prefer-non-
pic -c /usr/src/rpm/BUILD/php-5.1.6/ext/curl/interface.c -o ext/curl/interface.
lo
/usr/src/rpm/BUILD/php-5.1.6/ext/curl/interface.c: In function 
'zm_startup_curl':
/usr/src/rpm/BUILD/php-5.1.6/ext/curl/interface.c:274: error: 'CURLOPT_FTPASCII' 
undeclared (first use in this function)
/usr/src/rpm/BUILD/php-5.1.6/ext/curl/interface.c:274: error: (Each undeclared 
identifier is reported only once
/usr/src/rpm/BUILD/php-5.1.6/ext/curl/interface.c:274: error: for each function 
it appears in.)
/usr/src/rpm/BUILD/php-5.1.6/ext/curl/interface.c:314: error: 
'CURLOPT_PASSWDFUNCTION' undeclared (first use in this function)
/usr/src/rpm/BUILD/php-5.1.6/ext/curl/interface.c: In function 
'_php_curl_setopt':
/usr/src/rpm/BUILD/php-5.1.6/ext/curl/interface.c:1128: warning: 'return' with 
no value, in function returning non-void
/usr/src/rpm/BUILD/php-5.1.6/ext/curl/interface.c:1161: warning: 'return' with 
no value, in function returning non-void
/usr/src/rpm/BUILD/php-5.1.6/ext/curl/interface.c:1161: warning: 'return' with 
no value, in function returning non-void
/usr/src/rpm/BUILD/php-5.1.6/ext/curl/interface.c:1161: warning: 'return' with 
no value, in function returning non-void
/usr/src/rpm/BUILD/php-5.1.6/ext/curl/interface.c:1179: warning: 'return' with 
no value, in function returning non-void
/usr/src/rpm/BUILD/php-5.1.6/ext/curl/interface.c:1182: warning: 'return' with 
no value, in function returning non-void
/usr/src/rpm/BUILD/php-5.1.6/ext/curl/interface.c:1186: warning: 'return' with 
no value, in function returning non-void
/usr/src/rpm/BUILD/php-5.1.6/ext/curl/interface.c:1281: warning: 'return' with 
no value, in function returning non-void
/usr/src/rpm/BUILD/php-5.1.6/ext/curl/interface.c:1303: warning: 'return' with 
no value, in function returning non-void
/usr/src/rpm/BUILD/php-5.1.6/ext/curl/interface.c:1322: warning: 'return' with 
no value, in function returning non-void
/usr/src/rpm/BUILD/php-5.1.6/ext/curl/interface.c:1350: warning: 'return' with 
no value, in function returning non-void
/usr/src/rpm/BUILD/php-5.1.6/ext/curl/interface.c:1367: warning: 'return' with 
no value, in function returning non-void
/usr/src/rpm/BUILD/php-5.1.6/ext/curl/interface.c:1389: warning: 'return' with 
no value, in function returning non-void
make: *** [ext/curl/interface.lo] Error 1
make: *** Waiting for unfinished jobs....

Version-Release number of selected component (if applicable):
php-5.1.6-3
curl-7.16.0-1

How reproducible:
Everytime, just try to rebuild php using latest curl from Rawhide.

Actual results:
'CURLOPT_FTPASCII' undeclared with latest curl

Expected results:
Working rebuild... ;-)
Comment 1 Joe Orton 2006-11-03 07:24:34 EST
Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.